diff -urN chrome.ori/content/naverfox-lib.js chrome/content/naverfox-lib.js
--- chrome.ori/content/naverfox-lib.js	2008-08-29 19:51:01.000000000 +0900
+++ chrome/content/naverfox-lib.js	2008-09-12 20:14:02.000000000 +0900
@@ -3,6 +3,8 @@
 var aConsoleService = Components.classes["@mozilla.org/consoleservice;1"]
                                 .getService(Components.interfaces.nsIConsoleService);
 
+var g_defaultmail = false;
+
 function makeUri(url) {
     var ios = Components.classes["@mozilla.org/network/io-service;1"]
                         .getService(Components.interfaces.nsIIOService);
@@ -152,7 +154,7 @@
     return topWindow().document;
 }
 
-function setup(start, defaultengine, ietab) {
+function setup(start, defaultengine, ietab, defaultmail) {
     // startup page and default search engine
     if (start) {
         pref("browser.startup.homepage", "http://t.lab.naver.com/firefox/startup/");
@@ -169,6 +171,9 @@
     if (ietab) {
         openURL("https://addons.mozilla.org/ko/firefox/addon/1419");
     }
+
+    defaultmail = Boolean(defaultmail);
+    pref('extensions.naverfox.defaultmail', defaultmail);
     
 }
 
@@ -176,9 +181,10 @@
     var start = document.getElementById("setStartpage").checked;
     var ietab = document.getElementById("setIetab").checked;
     var defaultengine = document.getElementById("setDefaultEngine").checked;
+    var defaultmail = document.getElementById("setDefaultMail").checked;
 
     try {
-        setup(start, defaultengine, ietab);
+        setup(start, defaultengine, ietab, defaultmail);
     }
     catch (ex) {
         naverLog(ex);
@@ -199,6 +205,8 @@
         loadFirstrun = true;
         setIetabFilter();
     }
+
+    g_defaultmail = getBoolPref('extensions.naverfox.defaultmail');
 }
 
 function loadSetup() {
@@ -477,3 +485,39 @@
 function naverLog(str) {
     aConsoleService.logStringMessage(str);
 }
+
+function browserClick(aEvent) {
+    if (g_defaultmail) {
+        var url = null;
+        try {
+            var tag = aEvent.target;
+            do { 
+                if (tag.tagName.toLowerCase() == 'a') {
+                    url = tag.href;
+                    break;
+                }
+                tag = tag.parentNode;
+            } while (tag && tag.tagName && tag.tagName.toLowerCase() != 'html');
+        } catch (e) { }
+
+        if (url) {
+            if (url.substr(0, 'mailto:'.length) == 'mailto:') {
+                url = url.substr('mailto:'.length);
+                url = url.split('?')[0];
+                url = 'http://mail.naver.com/write/?cmd=compose&to='+url;
+                window.open(url); // or openURL(url);
+                return false;
+            }
+        }
+    }
+
+    return contentAreaClick(aEvent, null);
+}
+
+function initOptions() {
+    try {
+        var prefs = getPrefBranch();
+        document.getElementById('setDefaultMail').checked = prefs.getBoolPref('extensions.naverfox.defaultmail');
+    }
+    catch (e) { }
+}
diff -urN chrome.ori/content/naverfox-setup.xul chrome/content/naverfox-setup.xul
--- chrome.ori/content/naverfox-setup.xul	2008-08-28 19:29:53.000000000 +0900
+++ chrome/content/naverfox-setup.xul	2008-09-12 20:07:50.000000000 +0900
@@ -16,12 +16,13 @@
 
     <wizardpage pageid="selectPrefOption" label="&wizard.option.title;" 
         onpageadvanced="setOption();" 
-        onpageshow=";">
+        onpageshow="initOptions();">
         <description>
             <html:p>&wizard.option.desc;</html:p>
         </description>
         <checkbox id="setStartpage" label="&wizard.option.startpage;" checked="true" />
         <checkbox id="setDefaultEngine" label="&wizard.option.defaultengine;" checked="true" />
+        <checkbox id="setDefaultMail" label="&wizard.option.defaultmail;" checked="true" />
         <description>
             <html:p>&wizard.option.ietab-desc;</html:p>
         </description>
diff -urN chrome.ori/content/naverfox.xul chrome/content/naverfox.xul
--- chrome.ori/content/naverfox.xul	2008-08-29 19:00:29.000000000 +0900
+++ chrome/content/naverfox.xul	2008-09-12 20:07:50.000000000 +0900
@@ -48,4 +48,6 @@
     -->
   </toolbarpalette>
 
+  <tabbrowser id="content" flex="1" onclick="return browserClick(event);" />
+
 </overlay>
diff -urN chrome.ori/locale/ko-KR/setup.dtd chrome/locale/ko-KR/setup.dtd
--- chrome.ori/locale/ko-KR/setup.dtd	2008-08-29 15:09:49.000000000 +0900
+++ chrome/locale/ko-KR/setup.dtd	2008-09-12 20:07:50.000000000 +0900
@@ -4,7 +4,8 @@
 <!ENTITY wizard.option.title "네이버 설정">
 <!ENTITY wizard.option.desc "다음의 설정을 적용합니다.">
 <!ENTITY wizard.option.button "주소창 좌측에 네이버 버튼을 추가합니다.">
-<!ENTITY wizard.option.defaultengine "기본 검색엔진을 네이버로 설정합니다. (재시작하실 때  적용됩니다)">
+<!ENTITY wizard.option.defaultengine "기본 검색엔진을 네이버로 설정합니다. (재시작하실 때 적용됩니다)">
+<!ENTITY wizard.option.defaultmail "기본 메일을 네이버 메일로 설정합니다. (재시작하실 때 적용됩니다)">
 <!ENTITY wizard.option.startpage "시작페이지를 네이버 SE검색으로 설정합니다.">
 
 <!ENTITY wizard.option.ietab-desc "네이버를 이용하시는 중 간혹 파이어폭스로 정상적인 이용이 불가능한 경우가 있을 수 있습니다. IE Tab을 설치하시면, 이러한 경우에 인터넷 익스플로러로 자동 전환되어 서비스를 계속 이용하실 수 있습니다.">
